# DO NOT CHANGE
version: 7
# Most commands, when executed, have a small colored line
# next to the response. The color depends whether the command
# is completed, errored or in progress (pending)
# Color settings below are for the color of those lines.
# To get color's hex, you can go here https://htmlcolorcodes.com/
# and copy the hex code fo your selected color (marked as #)
color:
  # Color used for embed responses when command successfully executes
  ok: 00e584
  # Color used for embed responses when command has an error
  error: ee281f
  # Color used for embed responses while command is doing work or is in progress
  pending: faa61a
# Default bot language. It has to be in the list of supported languages (.langli)
defaultLocale: en-US
# Style in which executed commands will show up in the console.
# Allowed values: Simple, Normal, None
consoleOutputType: Normal
# Whether the bot will check for new releases every hour
checkForUpdates: true
# Do you want any messages sent by users in Bot's DM to be forwarded to the owner(s)?
forwardMessages: false
# Do you want the message to be forwarded only to the first owner specified in the list of owners (in creds.yml),
# or all owners? (this might cause the bot to lag if there's a lot of owners specified)
forwardToAllOwners: false
# Any messages sent by users in Bot's DM to be forwarded to the specified channel.
# This option will only work when ForwardToAllOwners is set to false
forwardToChannel: 
# Should the bot ignore messages from other bots?
# Settings this to false might get your bot banned if it gets into a spam loop with another bot.
# This will only affect command executions, other features will still block bots from access.
# Default true
ignoreOtherBots: true
# When a user DMs the bot with a message which is not a command
# they will receive this message. Leave empty for no response. The string which will be sent whenever someone DMs the bot.
# Supports embeds. How it looks: https://puu.sh/B0BLV.png
dmHelpText: |-
  {"description": "Type `%prefix%h` for help."}
# Only users who send a DM to the bot containing one of the specified words will get a DmHelpText response.
# Case insensitive.
# Leave empty to reply with DmHelpText to every DM.
dmHelpTextKeywords:
  - help
  - commands
  - cmds
  - module
  - can you do
# This is the response for the .h command
helpText: |-
  {
    "title": "To invite me to your server, use this link",
    "description": "https://discordapp.com/oauth2/authorize?client_id={0}&scope=bot&permissions=66186303",
    "color": 53380,
    "thumbnail": "https://i.imgur.com/nKYyqMK.png",
    "fields": [
      {
        "name": "Useful help commands",
        "value": "`%bot.prefix%modules` Lists all bot modules.
  `%prefix%h CommandName` Shows some help about a specific command.
  `%prefix%commands ModuleName` Lists all commands in a module.",
        "inline": false
      },
      {
        "name": "List of all Commands",
        "value": "https://nadeko.bot/commands",
        "inline": false
      },
      {
        "name": "Nadeko Support Server",
        "value": "https://discord.nadeko.bot/ ",
        "inline": true
      }
    ]
  }
# List of modules and commands completely blocked on the bot
blocked:
  commands: []
  modules: []
# Which string will be used to recognize the commands
prefix: .
# Toggles whether your bot will group greet/bye messages into a single message every 5 seconds.
# 1st user who joins will get greeted immediately
# If more users join within the next 5 seconds, they will be greeted in groups of 5.
# This will cause %user.mention% and other placeholders to be replaced with multiple users.
# Keep in mind this might break some of your embeds - for example if you have %user.avatar% in the thumbnail,
# it will become invalid, as it will resolve to a list of avatars of grouped users.
# note: This setting is primarily used if you're afraid of raids, or you're running medium/large bots where some
# servers might get hundreds of people join at once. This is used to prevent the bot from getting ratelimited,
# and (slightly) reduce the greet spam in those servers.
groupGreets: false
# Whether the bot will rotate through all specified statuses.
# This setting can be changed via .ropl command.
# See RotatingStatuses submodule in Administration.
rotateStatuses: false
